<template name="BrandsEditor">
  <div class="brands-manager">
    <h1>Brands</h1>
    {{#each brands }}
      <div>
        {{> BrandRow }}
        {{> BrandBindableValuesEditor}}
      </div>
    {{/each}}
    {{> BrandForm}}
  </div>
</template>

<template name="BrandRow">
  <span>
    {{#unless articlesCount}}
      <button type="button" name="remove" data-action="remove-brand">&times;</button>
    {{/unless}}
    {{ name }}<br>
    <span class="articles-count">
      articles count : {{ articlesCount }}
    </span>
  </span>
</template>

<template name="BrandForm">
  <form data-action="create-brand">
    <p>
      <input type="text" name="name" required>
      <input type="submit" value="Add brand">
    </p>
  </form>
</template>

<template name="BrandBindableValuesEditor">
  <span>
    <ul class="bindable-values">
      {{#each bindableValues}}
        {{> BrandBindableValueLine}}
      {{/each}}
    </ul>
    <form data-action="add-bindable-value">
      <p>
        <input type="text" name="bindable-value" required>
        <input type="submit" value="Add bindable value">
      </p>
    </form>
  </span>
</template>

<template name="BrandBindableValueLine">
  <li>
    {{ this }}
    <button type="button" name="remove" data-action="remove-bindable-value">&times;</button>
  </li>
</template>
